com.fasterxml.jackson.databind.util

## Class NameTransformer.NopTransformer

- java.lang.Object
- - com.fasterxml.jackson.databind.util.NameTransformer
  - - com.fasterxml.jackson.databind.util.NameTransformer.NopTransformer

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    NameTransformer

      protected static final class NameTransformer.NopTransformer
      extends NameTransformer
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.util.NameTransformer

      `NameTransformer.Chained, NameTransformer.NopTransformer`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.util.NameTransformer

      `NOP`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NopTransformer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `reverse(String transformed)` Method called when reversal of transformation is needed; should return null if this is not possible, that is, given name cannot have been result of calling `NameTransformer.transform(java.lang.String)` of this object.
    `String` | `transform(String name)` Method called when (forward) transformation is needed.

    - ### Methods inherited from class com.fasterxml.jackson.databind.util.NameTransformer

      `chainedTransformer, simpleTransformer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NopTransformer

          protected NopTransformer()

  - ### Method Detail

    - #### transform

          public String transform(String name)

      Description copied from class: `NameTransformer`
      Method called when (forward) transformation is needed.
      Specified by:
        `transform` in class `NameTransformer`

    - #### reverse

          public String reverse(String transformed)

      Description copied from class: `NameTransformer`
      Method called when reversal of transformation is needed; should return null if this is not possible, that is, given name cannot have been result of calling `NameTransformer.transform(java.lang.String)` of this object.
      Specified by:
        `reverse` in class `NameTransformer`

Copyright © 2008–2020 FasterXML. All rights reserved.